

* ***************************************************************** *
* ***************************************************************** *
*   File-Name:      hoennige.do                                     *
*   Date:           July 23, 2015                                   *
*   Author:         TG                                              *
*   Purpose:      	Merge to our extension of Hnnige data (PVSdata)* 
* 	Input File:     partyscores & PVSdata                           *           
*   Data Output:    PVSdatascores.dta                               *
* ****************************************************************  *
* ****************************************************************  *




* Es gibt 121 Flle fr die es ein Urteilsdatum u_datum gibt. 
* Fr diese Flle wurden die Positionsdaten der Parteien als getrennte Variablen an den Anfang
* des Datensatz zugefgt.




set more off
use partyscores, clear

 
******************************************************
** Merge to our extension of Hnnige data (PVSdata) **
** Expansion of Hnnige Datensatz is in PVSdata.dta **
******************************************************

sort u_datum
drop if u_datum==.
merge 1:m u_datum using PVSdata


/*    Result                           # of obs.
    -----------------------------------------
    not matched                        14,172
        from master                    14,169  (_merge==1)
        from using                          3  (_merge==2)

    matched                               121  (_merge==3)
    -----------------------------------------
*/

* Es gibt 121 Flle fr die es ein Urteilsdatum u_datum gibt. 


keep if _merge==3
drop _merge
sort datum
*Missing v1 (Identifikationsvariable) replacen
replace v1= 333 if v1== . 
compress
saveold PVSdatascores, replace
